// IPextDlg.cpp : implementation file
//

#include "stdafx.h"
#include "WarClient.h"
#include "resource.h"
#include "IPextDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIPextDlg property page

IMPLEMENT_DYNCREATE(CIPextDlg, CPropertyPage)

CIPextDlg::CIPextDlg() : CPropertyPage(CIPextDlg::IDD)
{
	//{{AFX_DATA_INIT(CIPextDlg)
	//}}AFX_DATA_INIT

	DeclOpt("Connection delay", m_ConnectionDelay, 1, 1, DATATYPE_INT);
	DeclOpt("Passwd retries", m_MaxPasswdRetries, 3, 2, DATATYPE_INT);
	DeclOpt("Passwd retry delay", m_PasswdRetryDelay, 3, 3, DATATYPE_INT);
	DeclOpt("Hack pswd attmpt", m_MaxPasswdHacks, 9, 4, DATATYPE_INT);
	DeclOpt("Hack delay", m_HackDely, 6, 5, DATATYPE_INT);
}

CIPextDlg::~CIPextDlg()
{
}

void CIPextDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIPextDlg)
	//}}AFX_DATA_MAP

	DDX_Text(pDX, IDC_IPDELAY, m_ConnectionDelay);
	DDX_Text(pDX, IDC_IPMXPWBK, m_MaxPasswdRetries);
	DDX_Text(pDX, IDC_IPDELAK, m_PasswdRetryDelay);
	DDX_Text(pDX, IDC_IPMPBA, m_MaxPasswdHacks);
	DDX_Text(pDX, IDC_IPDAA, m_HackDely);
}


BEGIN_MESSAGE_MAP(CIPextDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CIPextDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIPextDlg message handlers
