// This is part of the WAR SOFTWARE SERIES initiated by Jarle Aase
// Copyright 1996 by Jarle Aase. All rights reserved.
// See the "War Software Series Licende Agreement" for details concerning 
// use and distribution.
// ---
// This source code, executables and programs containing source code or
// binaries or proprietetary technology from the War Software Series are
// NOT alloed used, viewed or tested by any governmental agencies in
// any countries. This includes the government, departments, police, 
// military etc.
// ---
// This file is intended for use with Tab space = 2
// Created and maintained in MSVC Developer Studio
// ---
// NAME			:	WarFTPDcoreLib.cpp 
// PURPOSE	:	The basic functionality of a FTP daemon. Override to implement more features.
// PROGRAM	: 
// DATE			:	Sept. 27 1996
// AUTHOR		:	Jarle Aase
// ---
// REVISION HISTORY
// 


#include "stdafx.h"
#include <afxdllx.h>
#include "FTPDaemonCore.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static AFX_EXTENSION_MODULE WarFTPDcoreLibDLL = { NULL, NULL };

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("WARFTPDCORELIB.DLL Initializing!\n");
		
		// Extension DLL one-time initialization
		AfxInitExtensionModule(WarFTPDcoreLibDLL, hInstance);

		// Insert this DLL into the resource chain
		// new CDynLinkLibrary(WarFTPDcoreLibDLL);
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("WARFTPDCORELIB.DLL Terminating!\n");
	}
	return 1;   // ok
}

// Exported DLL initialization is run in context of running application
extern "C" void WINAPI InitFTPDaemonCoreDLL()
{
	// create a new CDynLinkLibrary for this app
	new CDynLinkLibrary(WarFTPDcoreLibDLL);
	// nothing more to do
}