// NTSecDaemonTab.cpp : implementation file
//

#include "stdafx.h"
#include "WarClient.h"

#include "resource.h"
#include "NTSecDaemonTab.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNTSecDaemonTab property page

IMPLEMENT_DYNCREATE(CNTSecDaemonTab, CPropertyPage)

CNTSecDaemonTab::CNTSecDaemonTab() : CPropertyPage(CNTSecDaemonTab::IDD)
{
	//{{AFX_DATA_INIT(CNTSecDaemonTab)
	//}}AFX_DATA_INIT

	// Same initializing as CNTSecExt::InitializeCOptions()
	DeclOpt("NT User database", m_SystemName, "<local>", 1, DATATYPE_CSTRING);
	DeclOpt("Default FTP Access", m_DefaultFTPAccess, TRUE, 2, DATATYPE_BOOL);
	DeclOpt("Give NT Admins Admin", m_GiveAdminsAdmin, TRUE, 3, DATATYPE_BOOL);
}

CNTSecDaemonTab::~CNTSecDaemonTab()
{
}

void CNTSecDaemonTab::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNTSecDaemonTab)
	//}}AFX_DATA_MAP

	DDX_Text(pDX, IDC_NTSECDLG_EDIT, m_SystemName);
	DDX_Check(pDX, IDC_NTSECDLG_CHECK1, m_DefaultFTPAccess);
	DDX_Check(pDX, IDC_NTSECDLG_CHECK2, m_GiveAdminsAdmin);
}


BEGIN_MESSAGE_MAP(CNTSecDaemonTab, CPropertyPage)
	//{{AFX_MSG_MAP(CNTSecDaemonTab)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNTSecDaemonTab message handlers
