// NTSecurityExt.h


class CNTProperties
{
public:
	CNTProperties();
	~CNTProperties();

	HANDLE hLogon; // Logon handle
	CTextSock *pSock; // Users connection soket
};

class CNTFTPConn : public CSocketAPI
{
public:
	int OnPreFSYSAccess(int Event, WPARAM wParam, LPARAM lParam);
	int OnPostFSYSAccess(int Event, WPARAM wParam, LPARAM lParam);
	int OnGetSecurityDescriptor(int Event, WPARAM wParam, LPARAM lParam);
	int OnConnect(int Event, WPARAM wParam, LPARAM lParam);
	int OnReceive(int Event, WPARAM wParam, LPARAM lParam);
	int OnSend(int Event, WPARAM wParam, LPARAM lParam);
	int OnCommand(int Event, WPARAM wParam, LPARAM lParam);
	int OnClose(int Event, WPARAM wParam, LPARAM lParam);
	int OnSendCmd(int Event, WPARAM wParam, LPARAM lParam);
	int OnSITECmd(int Event, WPARAM wParam, LPARAM lParam);
	int OnIdle(int Event, WPARAM wParam, LPARAM lParam);
	int OnVerifyIPAddress(int Event, WPARAM wParam, LPARAM lParam);
	int OnVerifyUploadedFile(int Event, WPARAM wParam, LPARAM lParam);
	int OnVerifyTransferRequest(int Event, WPARAM wParam, LPARAM lParam);
};

class CNTSecExt : public CDaemonAPI
{
public:
	CNTSecExt();
	~CNTSecExt();
	void LogMsg(int flag, LPCSTR Format, ...);
	virtual void InitializeCOptions(); // Required function
	void DeleteNTProp(CTextSock *pSock);

	int OnLogin(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	int OnLogout(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	int OnPassword(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);

	// COptions variables
	CString m_SystemName;
	BOOL m_DefaultFTPAccess; // Give NT users FTP access by default
	BOOL m_GiveAdminsAdmin; // Give NT admins server admin privil.

	// Data variables
	CLinkedList m_NTprp; // NT Properties
};

/*
int OnCreateFile(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	int OnGetSecurityDescriptor(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	int OnPreFsysAccess(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	int OnPostFsysAccess(int Event = 0, WPARAM wParam = 0, LPARAM lParam = 0);
	*/