// edituseroption.h : header file
//

#ifndef _EDITUSEROPTIONH
#define _EDITUSEROPTIONH

/////////////////////////////////////////////////////////////////////////////
// CEditUserOption window

class DLL_WAR_CLIENT_ CEditUserOption : public CListCtrl
{
// Construction
public:
	CEditUserOption(LPCSTR Tag, LPCSTR Seperator, BOOL ShowAll, int ItemID, CWarUserDlgTemplate *pDlg);
	BOOL UpdateText();
	void AddToList(CUserInfo *pUser, USER User, int Type);
	void Initialize();
	BOOL DeleteAllItems();
	int GetCurrentItem();
	void SaveAll();
	int GetCurrentSelectedItem();
	void SetOverlayImage(int Index, int Image);
	BOOL EnableWindow( BOOL bEnable = TRUE );


// Attributes
public:

	CUserDialog *m_pUserDlg;
	CString m_Tag;
	CString m_Seperator;
	BOOL m_ShowAll;
	CImageList *m_Img;
	int m_ItemID;
	CWarUserDlgTemplate *m_pDlg;
	BOOL m_IsInitialized;


	enum // bitmaps
	{
		IPB_DOMAIN,
		IPB_CLASS,
		IPB_GROUP,
		IPB_USER,
		IPB_LINK,
		IPB_EMPTY,
		IPB_INVALID
	};

	enum // Overlay's
	{
		OLI_LINK = 1
	};


// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditUserOption)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEditUserOption();

	// Generated message map functions
protected:
	//{{AFX_MSG(CEditUserOption)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnBeginlabeledit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeledit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDelete();
	afx_msg void OnEditlabel();
	afx_msg void OnInsert();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif // _EDITUSEROPTIONH

