// This is part of the WAR SOFTWARE SERIES initiated by Jarle Aase
// Copyright 1996 by Jarle Aase. All rights reserved.
// See the "War Software Series Licende Agreement" for details concerning 
// use and distribution.
// ---
// This source code, executables and programs containing source code or
// binaries or proprietetary technology from the War Software Series are
// NOT alloed used, viewed or tested by any governmental agencies in
// any countries. This includes the government, departments, police, 
// military etc.
// ---
// This file is intended for use with Tab space = 2
// Created and maintained in MSVC Developer Studio
// ---
// NAME			:	hdd.h
// PURPOSE	:	Header file for hdd.dll
// PROGRAM	: 
// DATE			:	March 15 1997
// AUTHOR		:	Jarle Aase
// ---
//
// Exports are done in the .def file.
// 
// REVISION HISTORY
// 

// These two functiosn are needed, and exported
// in the .def file
HANDLE DevOpenDevice(CFileSystemTemplate *pInfo);
void DevCloseDevice(HANDLE hVal);

class CDevFindFile
{
public:
	CDevFindFile();
	~CDevFindFile();
	Create(LPCSTR Path, HANDLE hVal);

	HANDLE m_hFindFile; // Win32 FindFile handle
	HANDLE m_hSecurityGrp; // Security group
};

// Internal declarations
BOOL __fs__CreateDirectory(LPCTSTR Path);
BOOL __fs__RemoveDirectory(LPCTSTR lpPathName);
BOOL __fs__DeleteFile(LPCSTR Path);
FLEN __fs__GetDiskFreeSpace(LPCSTR Path);
BOOL __fs__MoveFile(LPCTSTR ExistingFileName, LPCTSTR NewFileName);
void __fs__CloseHandle(HANDLE hVal);
HANDLE __fs__FindFirstFile(LPCTSTR lpFileName, CFileInfo& FileInfo);
BOOL __fs__FindNextFile(HANDLE hVal, CFileInfo& FileInfo);
void __fs__FindClose(HANDLE hVal);
DWORD __fs__GetFileAttributes(LPCTSTR lpFileName );
UINT __fs__GetDriveType(LPCTSTR lpRootPathName);
FLEN __fs__GetFileSize(HANDLE hFile);
FLEN __fs__Seek(HANDLE hFile, FLEN flOfs, DWORD dwFrom);
HANDLE __fs__CreateFile(
    LPCTSTR lpFileName,	// pointer to name of the file 
    DWORD dwDesiredAccess,	// access (read-write) mode 
    DWORD dwShareMode,	// share mode 
    LPSECURITY_ATTRIBUTES lpSecurityAttributes,	// pointer to security descriptor 
    DWORD dwCreationDistribution,	// how to create 
    DWORD dwFlagsAndAttributes,	// file attributes 
    HANDLE hTemplateFile 	// handle to file with attributes to copy  
   );
BOOL __fs__ReadFile(
    HANDLE hFile,	// handle of file to read 
    LPVOID lpBuffer,	// address of buffer that receives data  
    DWORD nNumberOfBytesToRead,	// number of bytes to read 
    LPDWORD lpNumberOfBytesRead,	// address of number of bytes read 
    LPOVERLAPPED lpOverlapped 	// address of structure for data 
		);
BOOL __fs__ReadFileEx(
    HANDLE hFile,	// handle of file to read 
    LPVOID lpBuffer,	// address of buffer 
    DWORD nNumberOfBytesToRead,	// number of bytes to read 
    LPOVERLAPPED lpOverlapped,	// address of offset 
    LPOVERLAPPED_COMPLETION_ROUTINE lpCompletionRoutine 	// address of completion routine 
   );
BOOL __fs__WriteFile(
    HANDLE hFile,	// handle to file to write to 
    LPCVOID lpBuffer,	// pointer to data to write to file 
    DWORD nNumberOfBytesToWrite,	// number of bytes to write 
    LPDWORD lpNumberOfBytesWritten,	// pointer to number of bytes written 
    LPOVERLAPPED lpOverlapped 	// pointer to structure needed for overlapped I/O
   );
BOOL __fs__WriteFileEx(
    HANDLE hFile, 	// handle to output file
    LPCVOID lpBuffer, 	// pointer to input buffer
    DWORD nNumberOfBytesToWrite, 	// number of bytes to write
    LPOVERLAPPED lpOverlapped, 	// pointer to async. i/o data
    LPOVERLAPPED_COMPLETION_ROUTINE lpCompletionRoutine 	// ptr. to completion routine
   );
HANDLE __fs__GetSecurityHandleFromFindHandle(HANDLE hFind);

