//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: EVMSG_INSTALLEDX
//
// MessageText:
//
//  The %1 service was installed.
//
#define EVMSG_INSTALLEDX                 0x00000064L

//
// MessageId: EVMSG_LOGERROR
//
// MessageText:
//
//  %1
//
#define EVMSG_LOGERROR                   0x00000065L

//
// MessageId: EVMSG_LOGWARN
//
// MessageText:
//
//  %1
//
#define EVMSG_LOGWARN                    0x00000066L

//
// MessageId: EVMSG_REMOVEDX
//
// MessageText:
//
//  The %1 service was removed.
//
#define EVMSG_REMOVEDX                   0x00000067L

//
// MessageId: EVMSG_NOTREMOVEDX
//
// MessageText:
//
//  The %1 service could not be removed.
//
#define EVMSG_NOTREMOVEDX                0x00000068L

//
// MessageId: EVMSG_CTRLHANDLERNOTINSTALLEDX
//
// MessageText:
//
//  The control handler could not be installed.
//
#define EVMSG_CTRLHANDLERNOTINSTALLEDX   0x00000069L

//
// MessageId: EVMSG_FAILEDINITX
//
// MessageText:
//
//  The initialization process failed.
//
#define EVMSG_FAILEDINITX                0x0000006AL

//
// MessageId: EVMSG_STARTEDX
//
// MessageText:
//
//  The service was started.
//
#define EVMSG_STARTEDX                   0x0000006BL

//
// MessageId: EVMSG_BADREQUESTX
//
// MessageText:
//
//  The service received an unsupported request.
//
#define EVMSG_BADREQUESTX                0x0000006CL

//
// MessageId: EVMSG_DEBUGX
//
// MessageText:
//
//  Debug: %1
//
#define EVMSG_DEBUGX                     0x0000006DL

//
// MessageId: EVMSG_STOPPEDX
//
// MessageText:
//
//  The service was stopped.
//
#define EVMSG_STOPPEDX                   0x0000006EL

