// This source code, executables and programs containing source code or
// binaries or proprietetary technology from the War Software Series are
// NOT alloed used, viewed or tested by any governmental agencies in
// any countries. This includes the government, departments, police, 
// military etc.
// ---
// This file is intended for use with Tab space = 2
// Created and maintained in MSVC Developer Studio
// ---
// NAME			:	FtpLog.cpp
// PURPOSE	: FTP Daemon log module
// PROGRAM	: War FTP Daemon
// DATE			:	Sept. 21 1996
// AUTHOR		:	Jarle Aase
// ---
// NOTE			: All class names start with CFTPD
// ---
// REVISION HISTORY
// 

#include "stdafx.h"
#include "WarFTPDaemon.h"
#include "..\Include\FTPDaemon.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// class CFTPDLog

CFTPDLog::CFTPDLog()
{
	Create(NULL,".\\FtpDaemon.ini","Log", COPTION_GROUP_FTPLOG);
	LoadAll();
}

CFTPDLog::~CFTPDLog()
{
	Flush(TRUE);
	SaveAll();
}